com.unitech.lib.engine.types

## Enum SettingIndicator

- java.lang.Object
- - java.lang.Enum<SettingIndicator>
  - - com.unitech.lib.engine.types.SettingIndicator

- All Implemented Interfaces:
    Serializable, Comparable<SettingIndicator>

      public enum SettingIndicator
      extends Enum<SettingIndicator>

  The SettingIndicator enum represents different types of setting indicators. Each setting indicator is associated with a unique byte value and a descriptive string message. The enum provides methods to get the byte value and string message of a setting indicator, and to get a setting indicator from its byte value. It also provides a method to get an array containing the names of the setting indicators.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `beeper`
    `beeperVibrator`
    `none`
    `vibrator`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SettingIndicator` | `fromValue(int value)` Gets a setting indicator from its byte value.
    `byte` | `getCode()` Gets the byte value of the setting indicator.
    `static String[]` | `names()` Returns an array containing the names of the setting indicator constants.
    `String` | `toString()` Returns the string message of the setting indicator.
    `static SettingIndicator` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SettingIndicator[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### none

          public static final SettingIndicator none

    - #### beeper

          public static final SettingIndicator beeper

    - #### vibrator

          public static final SettingIndicator vibrator

    - #### beeperVibrator

          public static final SettingIndicator beeperVibrator

  - ### Method Detail

    - #### values

          public static SettingIndicator[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SettingIndicator c : SettingIndicator.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SettingIndicator valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getCode

          public byte getCode()

      Gets the byte value of the setting indicator.
      Returns:
        The byte value of the setting indicator.

    - #### toString

          public String toString()

      Returns the string message of the setting indicator.
      Overrides:
        `toString` in class `Enum<SettingIndicator>`
      Returns:
        The string message of the setting indicator.

    - #### fromValue

          public static SettingIndicator fromValue(int value)
                                            throws IllegalArgumentException

      Gets a setting indicator from its byte value.
      Parameters:
        `value` - The byte value of the setting indicator.
      Returns:
        The setting indicator associated with the byte value.
      Throws:
        `IllegalArgumentException` - If the byte value does not correspond to any setting indicator.

    - #### names

          public static String[] names()

      Returns an array containing the names of the setting indicator constants.
      Returns:
        An array containing the names of the setting indicator constants.